# CroppingPolygon class

The Scanbot SDK provides a ready-to-use UI for document scanning and cropping. Both components use the notion of a 'page' as a data model for the scanning and cropping activities.

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: true, createToJson: false)

## Constructors

CroppingPolygon(int rotationTimesCw, List<PolygonPoint> polygon)
CroppingPolygon.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
polygon ↔ List<PolygonPoint>
  Cropping bounds for document after editing
  read / write
rotationTimesCw ↔ int
  Rotation of the image after editing
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited